# $Revision: 1.6 $, $Date: 2012/05/17 19:01:16 $
Summary:	A cpufreq plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka cpufreq dla panelu Xfce
Name:		xfce4-cpufreq-plugin
Version:	1.0.0
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-cpufreq-plugin/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	24cae9b8583cae82b715b4f72aa8e341
Patch0:		%{name}-ui.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin displays the current frequency of the CPU, in GHz or MHz
as necessary. It also displays the frequency relative to the maximum
CPU frequency as an accordingly colored progress bar.

%description -l pl.UTF-8
Ta wtyczka wyświetla aktualną częstotliwość procesora w GHz lub MHz.
Wyświetla także częstotliwość względem maksymalnej częstotliwości
procesora jako odpowiednio pokolorowany pasek.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-cpufreq-plugin
%{_datadir}/xfce4/panel-plugins/xfce4-cpufreq-plugin.desktop
%{_iconsdir}/hicolor/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-cpufreq-plugin.spec,v $
Revision 1.6  2012/05/17 19:01:16  baggins
- release 3

Revision 1.5  2011/03/01 11:37:43  baggins
- rel 2
- port to libxfce4ui

Revision 1.4  2011/02/14 22:33:15  megabajt
- updated to 1.0.0

Revision 1.3  2011/02/04 18:24:08  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.2  2007/04/24 18:35:34  qboosh
- pl

Revision 1.1  2007/04/18 16:15:47  megabajt
- new
